<?php
/**********************************************************************************
* SMFShop item                                                                    *
***********************************************************************************
* SMFShop: Shop MOD for Simple Machines Forum                                     *
* =============================================================================== *
* Software Version:           SMFShop 3.0 (Build 12)                              *
* $Date:: 2007-01-18 19:26:55 +1100 (Thu, 18 Jan 2007)                          $ *
* $Id:: RandomMoney.php 79 2007-01-18 08:26:55Z daniel15                        $ *
* Software by:                DanSoft Australia (http://www.dansoftaustralia.net/)*
* Copyright 2005-2007 by:     DanSoft Australia (http://www.dansoftaustralia.net/)*
* Support, News, Updates at:  http://www.dansoftaustralia.net/                    *
*                                                                                 *
* Forum software by:          Simple Machines (http://www.simplemachines.org)     *
* Copyright 2006-2007 by:     Simple Machines LLC (http://www.simplemachines.org) *
*           2001-2006 by:     Lewis Media (http://www.lewismedia.com)             *
***********************************************************************************
* This program is free software; you may redistribute it and/or modify it under   *
* the terms of the provided license as published by Simple Machines LLC.          *
*                                                                                 *
* This program is distributed in the hope that it is and will be useful, but      *
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY    *
* or FITNESS FOR A PARTICULAR PURPOSE.                                            *
*                                                                                 *
* See the "license.txt" file for details of the Simple Machines license.          *
* The latest version of the license can always be found at                        *
* http://www.simplemachines.org.                                                  *
**********************************************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');

class item_RandomMoney extends itemTemplate
{
    function getItemDetails()
	{
		$this->authorName = 'Daniel15';
		$this->authorWeb = 'http://www.dansoftaustralia.net/';
		$this->authorEmail = 'dansoft@dansoftaustralia.net';

        $this->name = "Milli Piyango";
        $this->desc = "Kazanabilirsiniz de kaybedebilirsiniz de!";
        $this->price = 75;
        
        
        $this->require_input = false;
        $this->can_use_item = true;
		$this->addInput_editable = true;
    }

    function getAddInput()
	{
		global $item_info;
		if ($item_info[1] == 0) $item_info[1] = '-190';
		if ($item_info[2] == 0) $item_info[2] = '190';
        return 'Minimum Miktar: <input type="text" name="info1" value="' . $item_info[1] . '" /><br />
                Maximum Miktar: <input type="text" name="info2" value="' . $item_info[2] . '" />';
    }

    function onUse()
	{
        global $db_prefix, $ID_MEMBER, $item_info;
        
		// If an amount was not defined by the admin, assume defaults
        if (!isset($item_info[1]) || $item_info[1] == '')
            $item_info[1] = -190;

        if (!isset($item_info[2]) || $item_info[2] == '')
            $item_info[2] = 190;

        $amount = mt_rand($item_info[1], $item_info[2]);
		
		// Did we lose money?
		if ($amount < 0)
		{
			$result = db_query("
				SELECT money
				FROM {$db_prefix}members
				WHERE ID_MEMBER = {$ID_MEMBER}", __FILE__, __LINE__);
			
			$row = mysql_fetch_assoc($result);
			
			$amountLoss = abs($amount);
			
			if ($row['money'] > $amountLoss)
			{
				$result = db_query("
					UPDATE {$db_prefix}members
					SET money = money - {$amountLoss}
					WHERE ID_MEMBER = {$ID_MEMBER}", __FILE__, __LINE__);
				return 'Kaybettiniz ' . formatMoney($amountLoss) . '!';
			}
			else
			{
				$result = db_query("
					UPDATE {$db_prefix}members
					SET moneyBank = moneyBank - {$amountLoss}
					WHERE ID_MEMBER = {$ID_MEMBER}", __FILE__, __LINE__);
				return 'Kaybettiniz ' . formatMoney($amountLoss) . '!<br /><br />sepetinizde yeterli para yok, bankadan ekmelisiniz! :(';
			}
		}
		else
		{
			$result = db_query("
				UPDATE {$db_prefix}members
				SET money = money + {$amount}
				WHERE ID_MEMBER = {$ID_MEMBER}", __FILE__, __LINE__);
			return 'Kazandnz ' . formatMoney($amount) . '!';
		}
    }

}

?>
