<?php
/**********************************************************************************
* SMFShop item                                                                    *
***********************************************************************************
* SMFShop: Shop MOD for Simple Machines Forum                                     *
* =============================================================================== *
* Software Version:           SMFShop 3.0 (Build 12)                              *
* $Date:: 2007-01-18 19:26:55 +1100 (Thu, 18 Jan 2007)                          $ *
* $Id:: filedownload.php 79 2007-01-18 08:26:55Z daniel15                       $ *
* Software by:                DanSoft Australia (http://www.dansoftaustralia.net/)*
* Copyright 2005-2007 by:     DanSoft Australia (http://www.dansoftaustralia.net/)*
* Support, News, Updates at:  http://www.dansoftaustralia.net/                    *
*                                                                                 *
* Forum software by:          Simple Machines (http://www.simplemachines.org)     *
* Copyright 2006-2007 by:     Simple Machines LLC (http://www.simplemachines.org) *
*           2001-2006 by:     Lewis Media (http://www.lewismedia.com)             *
***********************************************************************************
* This program is free software; you may redistribute it and/or modify it under   *
* the terms of the provided license as published by Simple Machines LLC.          *
*                                                                                 *
* This program is distributed in the hope that it is and will be useful, but      *
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY    *
* or FITNESS FOR A PARTICULAR PURPOSE.                                            *
*                                                                                 *
* See the "license.txt" file for details of the Simple Machines license.          *
* The latest version of the license can always be found at                        *
* http://www.simplemachines.org.                                                  *
**********************************************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');

class item_filedownload extends itemTemplate
{
	
	function getItemDetails()
	{
		$this->authorName = 'Daniel15';
		$this->authorWeb = 'http://www.dansoftaustralia.net/';
		$this->authorEmail = 'ansoft@dansoftaustralia.net';

		$this->name = "Download Extras";
        $this->desc = "Buraya download ile ilgili aklama girin.";
        $this->price = 200;
		
		$this->require_input = false;
		$this->can_use_item = true;
		$this->addInput_editable = true;
	}
	
	// See AddToPostCount for more info
	function getAddInput()
	{
		global $item_info, $boarddir;
		if ($item_info[1] == '') $item_info[1] = 'file_name_here.txt';
		if ($item_info[2] == '') $item_info[2] = dirname(dirname($boarddir)) . '/files/file_name_here.txt';
		
		return 'Dosya smi: <input type="text" name="info1" value="' . $item_info[1] . '" size="60" /><br />
				Dosya isminin sunucudaki ismiyle ayn olmasna gerek yok..<br /><br />
				
				Dosya Yolu (INCLUDING FILE NAME): <input type="text" name="info2" value="' . $item_info[2] . '" size="60" /><br />
				<b>NEML: </b>Dosya yolunuzdan emin olun.<br />
				<input type="checkbox" name="info3" /> Delete item from inventory after use<br /><br />
				Note that the shop\'s normal "Delete from Inventory" setting will not work for this item.';
	}

	function onUse()
	{
		global $item_info, $db_prefix;
		header('Content-type: application/octet-stream');
		header('Content-Disposition: attachment; filename=' . $item_info[1]);
		readfile($item_info[2]);
		
		if (isset($item_info[3]) && $item_info[3] = 'on')
			db_query(
				"DELETE FROM {$db_prefix}shop_inventory
				WHERE id = {$_GET['id']}", __FILE__, __LINE__);
		exit(); 

	}
}


?>
